import 'package:get/get.dart';

class IdCardScanState {
  /// bool 相机是否已经加载完毕
  final _isCameraReady = false.obs;
  set isCameraReady(value) => _isCameraReady.value = value;
  bool get isCameraReady => _isCameraReady.value;

  /// 身份证信息是否展示
  final _isIdCardInfoShow = false.obs;
  set isIdCardInfoShow(value) => _isIdCardInfoShow.value = value;
  bool get isIdCardInfoShow => _isIdCardInfoShow.value;

  /// 是否显示身份信息开关
  final _isShowIdCardInfoSwitch = false.obs;
  set isShowIdCardInfoSwitch(value) => _isShowIdCardInfoSwitch.value = value;
  bool get isShowIdCardInfoSwitch => _isShowIdCardInfoSwitch.value;

  /// 是否进入人脸识别阶段
  final _isInIdCardScan = false.obs;
  set isInIdCardScan(value) => _isInIdCardScan.value = value;
  bool get isInIdCardScan => _isInIdCardScan.value;

  /// 是否展示人脸识别结果
  final _isShowIdCardScanResult = false.obs;
  set isShowIdCardScanResult(value) => _isShowIdCardScanResult.value = value;
  bool get isShowIdCardScanResult => _isShowIdCardScanResult.value;
}
